
--
-- TOC entry 181 (class 1259 OID 16708)
-- Name: documentcontentid; Type: SEQUENCE; Schema: public; Owner: repxds
--

CREATE SEQUENCE IF NOT EXISTS documentcontentid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;



--
-- TOC entry 182 (class 1259 OID 16710)
-- Name: documentcontent; Type: TABLE; Schema: public; Owner: repxds
--

CREATE TABLE IF NOT EXISTS  documentcontent (
    documentcontentid bigint DEFAULT nextval('documentcontentid'::regclass) NOT NULL,
    documentcontentuuid character varying(120) NOT NULL,
    documentcontentdata bytea
);




--
-- TOC entry 183 (class 1259 OID 16717)
-- Name: documentrepositorymetadataid; Type: SEQUENCE; Schema: public; Owner: repxds
--

CREATE SEQUENCE IF NOT EXISTS documentrepositorymetadataid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;




--
-- TOC entry 184 (class 1259 OID 16719)
-- Name: documentrepositorymetadata; Type: TABLE; Schema: public; Owner: repxds
--

CREATE TABLE IF NOT EXISTS  documentrepositorymetadata (
    documentrepositorymetadataid bigint DEFAULT nextval('documentrepositorymetadataid'::regclass) NOT NULL,
    documententryuuid character varying(120) NOT NULL,
    documententryuri character varying(100),
    documententryhash character(40) NOT NULL,
    documententrysize character varying(10) NOT NULL,
    documententryminetype character varying(200),
    documententryname character varying(200),
    documentcontentid bigint NOT NULL,
    documententryuniqueid character varying(120) NOT NULL
);




--
-- TOC entry 185 (class 1259 OID 16726)
-- Name: parametro; Type: TABLE; Schema: public; Owner: repxds
--

CREATE TABLE IF NOT EXISTS  parametro (
    parametrocod character(10) NOT NULL,
    parametroval character(120) NOT NULL,
    parametrodesc character(30) NOT NULL
);




--
-- TOC entry 2915 (class 2606 OID 16730)
-- Name: documentcontent_pkey; Type: CONSTRAINT; Schema: public; Owner: repxds
--

ALTER TABLE ONLY documentcontent
    ADD CONSTRAINT documentcontent_pkey PRIMARY KEY (documentcontentid);


--
-- TOC entry 2918 (class 2606 OID 16732)
-- Name: documentrepositorymetadata_pkey; Type: CONSTRAINT; Schema: public; Owner: repxds
--

ALTER TABLE ONLY documentrepositorymetadata
    ADD CONSTRAINT documentrepositorymetadata_pkey PRIMARY KEY (documentrepositorymetadataid);


--
-- TOC entry 2922 (class 2606 OID 16734)
-- Name: parametro_pkey; Type: CONSTRAINT; Schema: public; Owner: repxds
--

ALTER TABLE ONLY parametro
    ADD CONSTRAINT parametro_pkey PRIMARY KEY (parametrocod);


--
-- TOC entry 2919 (class 1259 OID 16735)
-- Name: idocumentrepositorymetadata1; Type: INDEX; Schema: public; Owner: repxds
--

CREATE INDEX idocumentrepositorymetadata1 ON documentrepositorymetadata USING btree (documentcontentid);


--
-- TOC entry 2916 (class 1259 OID 17273)
-- Name: udocumentcontent; Type: INDEX; Schema: public; Owner: repxds
--

CREATE UNIQUE INDEX udocumentcontent ON documentcontent USING btree (documentcontentuuid);


--
-- TOC entry 2920 (class 1259 OID 17274)
-- Name: udocumentrepositorymetadata; Type: INDEX; Schema: public; Owner: repxds
--

CREATE INDEX udocumentrepositorymetadata ON documentrepositorymetadata USING btree (documententryuniqueid);


--
-- TOC entry 2923 (class 2606 OID 16738)
-- Name: idocumentrepositorymetadata1; Type: FK CONSTRAINT; Schema: public; Owner: repxds
--

ALTER TABLE ONLY documentrepositorymetadata
    ADD CONSTRAINT idocumentrepositorymetadata1 FOREIGN KEY (documentcontentid) REFERENCES documentcontent(documentcontentid);



