--
-- TOC entry 183 (class 1259 OID 16784)
-- Name: parameter; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  parameter  (
    parametertypeid smallint NOT NULL,
    parametercod character(6) NOT NULL,
    parametervalue character varying(500) NOT NULL,
    parameterdesc character varying(40) NOT NULL
);



--
-- TOC entry 181 (class 1259 OID 16776)
-- Name: parametertypeid; Type: SEQUENCE; Schema: public; Owner: xbus
--

CREATE SEQUENCE IF NOT EXISTS IF NOT EXISTS parametertypeid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;



--
-- TOC entry 182 (class 1259 OID 16778)
-- Name: parametertype; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  parametertype (
    parametertypeid smallint DEFAULT nextval('parametertypeid'::regclass) NOT NULL,
    parametertypedesc character varying(40) NOT NULL,
    parametertypecod character(6) NOT NULL
);

--
-- TOC entry 189 (class 1259 OID 19371)
-- Name: process; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  process (
    processid smallint NOT NULL,
    processcode character(6) NOT NULL,
    processdescription character(120) NOT NULL,
    processmaxattempts smallint NOT NULL,
    processtypeid smallint NOT NULL
);


--
-- TOC entry 187 (class 1259 OID 19363)
-- Name: processtypeid; Type: SEQUENCE; Schema: public; Owner: xbus
--

CREATE SEQUENCE IF NOT EXISTS processtypeid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 188 (class 1259 OID 19365)
-- Name: processtype; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  processtype (
    processtypeid smallint DEFAULT nextval('processtypeid'::regclass) NOT NULL,
    processtypecode character(6) NOT NULL,
    processtypedescription character(200) NOT NULL
);


--
-- TOC entry 190 (class 1259 OID 19377)
-- Name: qmessageid; Type: SEQUENCE; Schema: public; Owner: xbus
--

CREATE SEQUENCE IF NOT EXISTS qmessageid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 191 (class 1259 OID 19379)
-- Name: qmessage; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  qmessage (
    qmessageid smallint DEFAULT nextval('qmessageid'::regclass) NOT NULL,
    qmessageprocessid smallint NOT NULL,
    qmessagerequest text NOT NULL,
    qmessageresponse text NOT NULL,
    qmessagecreationdate timestamp without time zone NOT NULL,
    qmessagemodificationdate timestamp without time zone NOT NULL,
    qmessagestate smallint NOT NULL,
    qmessageresendqty smallint,
    qmessagedocumentid smallint
);



-- TOC entry 192 (class 1259 OID 19589)
-- Name: qmessagedocumentid; Type: SEQUENCE; Schema: public; Owner: xbus
--

CREATE SEQUENCE IF NOT EXISTS qmessagedocumentid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;




--
-- TOC entry 193 (class 1259 OID 19591)
-- Name: qmessagedocument; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  qmessagedocument (
    qmessagedocumentid smallint DEFAULT nextval('qmessagedocumentid'::regclass) NOT NULL,
    documentuniqueid character(9999),
    qmessagedocumentblob bytea NOT NULL
);




--
-- TOC entry 184 (class 1259 OID 16797)
-- Name: repositorydata; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  repositorydata (
    repositorydataoid character(100) NOT NULL,
    repositorydataurl character varying(1000) NOT NULL,
    repositorydatawsdl character varying(1000) NOT NULL,
    repositorydataavailable boolean NOT NULL,
    repositorydataversion character(6) NOT NULL
);




--
-- TOC entry 185 (class 1259 OID 19355)
-- Name: stateid; Type: SEQUENCE; Schema: public; Owner: xbus
--

CREATE SEQUENCE IF NOT EXISTS stateid
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;




--
-- TOC entry 186 (class 1259 OID 19357)
-- Name: state; Type: TABLE; Schema: public; Owner: xbus
--

CREATE TABLE IF NOT EXISTS  state (
    stateid smallint DEFAULT nextval('stateid'::regclass) NOT NULL,
    statecode character(6) NOT NULL,
    statedescription character(120) NOT NULL
);




--
-- TOC entry 2948 (class 2606 OID 16791)
-- Name: parameter_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY parameter
    ADD CONSTRAINT parameter_pkey PRIMARY KEY (parametertypeid, parametercod);


--
-- TOC entry 2946 (class 2606 OID 16783)
-- Name: parametertype_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY parametertype
    ADD CONSTRAINT parametertype_pkey PRIMARY KEY (parametertypeid);


--
-- TOC entry 2957 (class 2606 OID 19375)
-- Name: process_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY process
    ADD CONSTRAINT process_pkey PRIMARY KEY (processid);


--
-- TOC entry 2954 (class 2606 OID 19370)
-- Name: processtype_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY processtype
    ADD CONSTRAINT processtype_pkey PRIMARY KEY (processtypeid);


--
-- TOC entry 2960 (class 2606 OID 19387)
-- Name: qmessage_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY qmessage
    ADD CONSTRAINT qmessage_pkey PRIMARY KEY (qmessageid);


--
-- TOC entry 2962 (class 2606 OID 19599)
-- Name: qmessagedocument_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY qmessagedocument
    ADD CONSTRAINT qmessagedocument_pkey PRIMARY KEY (qmessagedocumentid);


--
-- TOC entry 2950 (class 2606 OID 16804)
-- Name: repositorydata_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY repositorydata
    ADD CONSTRAINT repositorydata_pkey PRIMARY KEY (repositorydataoid);


--
-- TOC entry 2952 (class 2606 OID 19362)
-- Name: state_pkey; Type: CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY state
    ADD CONSTRAINT state_pkey PRIMARY KEY (stateid);


--
-- TOC entry 2955 (class 1259 OID 19376)
-- Name: iprocess1; Type: INDEX; Schema: public; Owner: xbus
--

CREATE INDEX iprocess1 ON process USING btree (processtypeid);


--
-- TOC entry 2958 (class 1259 OID 19600)
-- Name: iqmessage1; Type: INDEX; Schema: public; Owner: xbus
--

CREATE INDEX iqmessage1 ON qmessage USING btree (qmessagedocumentid);


--
-- TOC entry 2963 (class 2606 OID 16792)
-- Name: iparameter1; Type: FK CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY parameter
    ADD CONSTRAINT iparameter1 FOREIGN KEY (parametertypeid) REFERENCES parametertype(parametertypeid);


--
-- TOC entry 2964 (class 2606 OID 19388)
-- Name: iprocess1; Type: FK CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY process
    ADD CONSTRAINT iprocess1 FOREIGN KEY (processtypeid) REFERENCES processtype(processtypeid);


--
-- TOC entry 2965 (class 2606 OID 19601)
-- Name: iqmessage1; Type: FK CONSTRAINT; Schema: public; Owner: xbus
--

ALTER TABLE ONLY qmessage
    ADD CONSTRAINT iqmessage1 FOREIGN KEY (qmessagedocumentid) REFERENCES qmessagedocument(qmessagedocumentid);

	ALTER TABLE QMessage ALTER COLUMN QMessageId TYPE BIGINT;
ALTER TABLE QMessage ALTER COLUMN qmessageresendqty TYPE BIGINT;



